podman-compose(1)

NAME

podman-compose - Run Compose workloads via an external compose provider

SYNOPSIS

podman compose [options] [command [arg ...]]

DESCRIPTION

podman compose is a thin wrapper around an external compose provider such as docker-compose or podman-compose. This means that podman compose is executing another tool that implements the compose functionality but sets up the environment in a way to let the compose provider communicate transparently with the local Podman socket. The specified options as well the command and argument are passed directly to the compose provider.

The default compose providers are docker-compose and podman-compose. If installed, docker-compose takes precedence since it is the original implementation of the Compose specification and is widely used on the supported platforms (i.e., Linux, Mac OS, Windows).

If you want to change the default behavior or have a custom installation path for your provider of choice, please change the compose_provider field in containers.conf(5). You may also set the PODMAN_COMPOSE_PROVIDER environment variable.

OPTIONS

To see supported options of the installed compose provider, please run podman compose --help.

SEE ALSO

podman(1), containers.conf(5)